# Secrets

Types:

```python
from nemo_platform.types.secrets import (
    PlatformSecretAccessResponse,
    PlatformSecretCreateRequest,
    PlatformSecretResponse,
    PlatformSecretResponsesPage,
    PlatformSecretUpdateRequest,
)
```

Methods:

- client.secrets.create(\*, workspace, \*\*params) -> PlatformSecretResponse
- client.secrets.retrieve(name, \*, workspace) -> PlatformSecretResponse
- client.secrets.update(name, \*, workspace, \*\*params) -> PlatformSecretResponse
- client.secrets.list(\*, workspace, \*\*params) -> SyncDefaultPagination[PlatformSecretResponse]
- client.secrets.delete(name, \*, workspace) -> None
- client.secrets.access(name, \*, workspace) -> PlatformSecretAccessResponse

## Admin

Types:

```python
from nemo_platform.types.secrets import PlatformSecretAdminRotationResponse
```

Methods:

- client.secrets.admin.rotate_encryption_keys() -> PlatformSecretAdminRotationResponse
